Gentoo Archives: gentoo-commits

From: Tim Harder <radhermit@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/gvim/
Date: Fri, 10 May 2019 08:42:33
Message-Id: 1557477713.e273e1c4bd053f12496c93c58c9a6f7b767f8f02.radhermit@gentoo
1 commit: e273e1c4bd053f12496c93c58c9a6f7b767f8f02
2 Author: Tim Harder <radhermit <AT> gentoo <DOT> org>
3 AuthorDate: Fri May 10 01:52:49 2019 +0000
4 Commit: Tim Harder <radhermit <AT> gentoo <DOT> org>
5 CommitDate: Fri May 10 08:41:53 2019 +0000
6 URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e273e1c4
7
8 app-editors/gvim: version bump to 8.1.1312
9
10 Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>
11
12 app-editors/gvim/Manifest | 1 +
13 app-editors/gvim/gvim-8.1.1312.ebuild | 368 ++++++++++++++++++++++++++++++++++
14 2 files changed, 369 insertions(+)
15
16 diff --git a/app-editors/gvim/Manifest b/app-editors/gvim/Manifest
17 index 948bccea5da..4c9fcc49b94 100644
18 --- a/app-editors/gvim/Manifest
19 +++ b/app-editors/gvim/Manifest
20 @@ -5,3 +5,4 @@ DIST vim-8.1.0034.tar.gz 13652586 BLAKE2B 98dac6b37c04ea8c15f0b0e2e4145d6529138e
21 DIST vim-8.1.0412.tar.gz 13857501 BLAKE2B 6925184359b8b36cb546c9fcba4bb01755455aa87171ea7328ece411a5a5ced45096b8bef8561059bbff9a3ade565e0648fd18dd091d6faad0eb8a67321337a5 SHA512 3f458c039a636d7d3e398f8aa9cba4b4ae650c00038618c4776959b6feb0a1e3ac56be2912c3d85cba8e8f301661a62d71acd34a4dd75dc4dc000a94bf1b237e
22 DIST vim-8.1.0648.tar.gz 14061964 BLAKE2B 79bf52d8574167471c93942904dc2b4ad5648ec365561494bbad45c779154b75b0fff1d90229516e938371f1eaa5808659cb2181b150c4c13bf8501bd9987b38 SHA512 d41676a6bb6bc442f4946ca021b2835d7ea0e54fbefe1bfc728241e1bf203cc696b707fcca6f25c877660283a790cefa4259fbd14de88fd4db7390701189c454
23 DIST vim-8.1.1155.tar.gz 14141750 BLAKE2B f15470768fbdc4e02552b8711626c3ad9647ec5b74ebaa3f82a4f32c050405ef0cf3f29d1e5bdbb4de008bf16262b8cdc81ff153e2694a184523cd913624e8e0 SHA512 0cdc42090958f4c91c13aeeefac0abc4feaa629d8b90c04bd01d5e23efefe21e6316e1b2c3b6015ecf9577573faea9a1b6660de8a2959642e65582dbe9c7f5c6
24 +DIST vim-8.1.1312.tar.gz 14167114 BLAKE2B a69688023ccb2b22028ae6b5387ae45ee8755bb22d82c91525a22e81c1d9bef253b43d2c56c3e70fb330a348612067df9d4c5edf043cb8555c319141e52b716d SHA512 8f38a73c8971199da3477cf291a13e180c99616f0e75b48e9cf68fbf301c91384690666a662f1800afc65241237378ca174cfd0efaa71cbb11932a0ff425b91e
25
26 diff --git a/app-editors/gvim/gvim-8.1.1312.ebuild b/app-editors/gvim/gvim-8.1.1312.ebuild
27 new file mode 100644
28 index 00000000000..58687ec4e79
29 --- /dev/null
30 +++ b/app-editors/gvim/gvim-8.1.1312.ebuild
31 @@ -0,0 +1,368 @@
32 +# Copyright 1999-2019 Gentoo Authors
33 +# Distributed under the terms of the GNU General Public License v2
34 +
35 +EAPI=6
36 +VIM_VERSION="8.1"
37 +PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} )
38 +PYTHON_REQ_USE="threads(+)"
39 +USE_RUBY="ruby24 ruby25 ruby26"
40 +
41 +inherit vim-doc flag-o-matic xdg-utils gnome2-utils bash-completion-r1 prefix python-single-r1 ruby-single
42 +
43 +if [[ ${PV} == 9999* ]]; then
44 + inherit git-r3
45 + EGIT_REPO_URI="https://github.com/vim/vim.git"
46 + EGIT_CHECKOUT_DIR=${WORKDIR}/vim-${PV}
47 +else
48 + SRC_URI="https://github.com/vim/vim/archive/v${PV}.tar.gz -> vim-${PV}.tar.gz
49 + https://dev.gentoo.org/~radhermit/vim/vim-8.0.0938-gentoo-patches.tar.bz2"
50 + KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
51 +fi
52 +
53 +DESCRIPTION="GUI version of the Vim text editor"
54 +HOMEPAGE="https://vim.sourceforge.io/ https://github.com/vim/vim"
55 +
56 +SLOT="0"
57 +LICENSE="vim"
58 +IUSE="acl aqua cscope debug gtk gtk2 lua luajit motif neXt netbeans nls perl python racket ruby selinux session tcl"
59 +REQUIRED_USE="
60 + python? ( ${PYTHON_REQUIRED_USE} )
61 +"
62 +
63 +RDEPEND="
64 + >=app-eselect/eselect-vi-1.1
65 + >=sys-libs/ncurses-5.2-r2:0=
66 + x11-libs/libICE
67 + x11-libs/libSM
68 + x11-libs/libXext
69 + x11-libs/libXt
70 + acl? ( kernel_linux? ( sys-apps/acl ) )
71 + !aqua? (
72 + gtk? (
73 + x11-libs/gtk+:3
74 + x11-libs/libXft
75 + )
76 + !gtk? (
77 + gtk2? (
78 + >=x11-libs/gtk+-2.6:2
79 + x11-libs/libXft
80 + )
81 + !gtk2? (
82 + motif? ( >=x11-libs/motif-2.3:0 )
83 + !motif? (
84 + neXt? ( x11-libs/neXtaw )
85 + !neXt? ( x11-libs/libXaw )
86 + )
87 + )
88 + )
89 + )
90 + cscope? ( dev-util/cscope )
91 + lua? (
92 + luajit? ( dev-lang/luajit:2= )
93 + !luajit? ( dev-lang/lua:0[deprecated] )
94 + )
95 + nls? ( virtual/libintl )
96 + perl? ( dev-lang/perl:= )
97 + python? ( ${PYTHON_DEPS} )
98 + racket? ( dev-scheme/racket )
99 + ruby? ( ${RUBY_DEPS} )
100 + selinux? ( sys-libs/libselinux )
101 + session? ( x11-libs/libSM )
102 + tcl? ( dev-lang/tcl:0= )
103 +"
104 +DEPEND="${RDEPEND}
105 + sys-devel/autoconf
106 + virtual/pkgconfig
107 + nls? ( sys-devel/gettext )
108 +"
109 +# temporarily use PDEPEND to allow upgrades past icon file collision, bug #673880
110 +PDEPEND="~app-editors/vim-core-${PV}"
111 +
112 +# various failures (bugs #630042 and #682320)
113 +RESTRICT="test"
114 +
115 +S=${WORKDIR}/vim-${PV}
116 +
117 +pkg_setup() {
118 + # people with broken alphabets run into trouble. bug 82186.
119 + unset LANG LC_ALL
120 + export LC_COLLATE="C"
121 +
122 + # Gnome sandbox silliness. bug #114475.
123 + mkdir -p "${T}"/home || die
124 + export HOME="${T}"/home
125 +
126 + use python && python-single-r1_pkg_setup
127 +}
128 +
129 +src_prepare() {
130 + if [[ ${PV} != 9999* ]]; then
131 + # Gentoo patches to fix runtime issues, cross-compile errors, etc
132 + eapply "${WORKDIR}"/patches/
133 + fi
134 +
135 + # Fixup a script to use awk instead of nawk
136 + sed -i -e \
137 + '1s|.*|#!'"${EPREFIX}"'/usr/bin/awk -f|' \
138 + "${S}"/runtime/tools/mve.awk || die "mve.awk sed failed"
139 +
140 + # Read vimrc and gvimrc from /etc/vim
141 + echo '#define SYS_VIMRC_FILE "'${EPREFIX}'/etc/vim/vimrc"' \
142 + >> "${S}"/src/feature.h || die "echo failed"
143 + echo '#define SYS_GVIMRC_FILE "'${EPREFIX}'/etc/vim/gvimrc"' \
144 + >> "${S}"/src/feature.h || die "echo failed"
145 +
146 + # Use exuberant ctags which installs as /usr/bin/exuberant-ctags.
147 + # Hopefully this pattern won't break for a while at least.
148 + # This fixes bug 29398 (27 Sep 2003 agriffis)
149 + sed -i -e \
150 + 's/\<ctags\("\| [-*.]\)/exuberant-&/g' \
151 + "${S}"/runtime/doc/syntax.txt \
152 + "${S}"/runtime/doc/tagsrch.txt \
153 + "${S}"/runtime/doc/usr_29.txt \
154 + "${S}"/runtime/menu.vim \
155 + "${S}"/src/configure.ac || die 'sed failed'
156 +
157 + # Don't be fooled by /usr/include/libc.h. When found, vim thinks
158 + # this is NeXT, but it's actually just a file in dev-libs/9libs
159 + # This fixes bug 43885 (20 Mar 2004 agriffis)
160 + sed -i -e \
161 + 's/ libc\.h / /' "${S}"/src/configure.ac || die 'sed failed'
162 +
163 + # gcc on sparc32 has this, uhm, interesting problem with detecting EOF
164 + # correctly. To avoid some really entertaining error messages about stuff
165 + # which isn't even in the source file being invalid, we'll do some trickery
166 + # to make the error never occur. bug 66162 (02 October 2004 ciaranm)
167 + find "${S}" -name '*.c' | while read c; do
168 + echo >> "$c" || die "echo failed"
169 + done
170 +
171 + # Try to avoid sandbox problems. Bug #114475.
172 + if [[ -d "${S}"/src/po ]]; then
173 + sed -i -e \
174 + '/-S check.vim/s,..VIM.,ln -s $(VIM) testvim \; ./testvim -X,' \
175 + "${S}"/src/po/Makefile || die
176 + fi
177 +
178 + cp -v "${S}"/src/config.mk.dist "${S}"/src/auto/config.mk || die "cp failed"
179 +
180 + # Bug #378107 - Build properly with >=perl-core/ExtUtils-ParseXS-3.20.0
181 + sed -i -e \
182 + "s:\\\$(PERLLIB)/ExtUtils/xsubpp:${EPREFIX}/usr/bin/xsubpp:" \
183 + "${S}"/src/Makefile || die 'sed for ExtUtils-ParseXS failed'
184 +
185 + eapply_user
186 +}
187 +
188 +src_configure() {
189 + local myconf=()
190 +
191 + # Fix bug 37354: Disallow -funroll-all-loops on amd64
192 + # Bug 57859 suggests that we want to do this for all archs
193 + filter-flags -funroll-all-loops
194 +
195 + # Fix bug 76331: -O3 causes problems, use -O2 instead. We'll do this for
196 + # everyone since previous flag filtering bugs have turned out to affect
197 + # multiple archs...
198 + replace-flags -O3 -O2
199 +
200 + # Fix bug 18245: Prevent "make" from the following chain:
201 + # (1) Notice configure.ac is newer than auto/configure
202 + # (2) Rebuild auto/configure
203 + # (3) Notice auto/configure is newer than auto/config.mk
204 + # (4) Run ./configure (with wrong args) to remake auto/config.mk
205 + sed -i -e \
206 + 's# auto/config\.mk:#:#' src/Makefile || die "Makefile sed failed"
207 + rm -v src/auto/configure || die "rm failed"
208 + emake -j1 -C src autoconf
209 +
210 + # This should fix a sandbox violation (see bug 24447). The hvc
211 + # things are for ppc64, see bug 86433.
212 + local file
213 + for file in /dev/pty/s* /dev/console /dev/hvc/* /dev/hvc*; do
214 + if [[ -e ${file} ]]; then
215 + addwrite $file
216 + fi
217 + done
218 +
219 + use debug && append-flags "-DDEBUG"
220 +
221 + myconf=(
222 + --with-features=huge
223 + --disable-gpm
224 + --with-gnome=no
225 + $(use_enable acl)
226 + $(use_enable cscope)
227 + $(use_enable lua luainterp)
228 + $(use_with luajit)
229 + $(use_enable netbeans)
230 + $(use_enable nls)
231 + $(use_enable perl perlinterp)
232 + $(use_enable python pythoninterp)
233 + $(use_enable python python3interp)
234 + $(use_with python python-command $(type -P $(eselect python show --python2)))
235 + $(use_with python python3-command $(type -P $(eselect python show --python3)))
236 + $(use_enable racket mzschemeinterp)
237 + $(use_enable ruby rubyinterp)
238 + $(use_enable selinux)
239 + $(use_enable session xsmp)
240 + $(use_enable tcl tclinterp)
241 + )
242 +
243 + # --with-features=huge forces on cscope even if we --disable it. We need
244 + # to sed this out to avoid screwiness. (1 Sep 2004 ciaranm)
245 + if ! use cscope; then
246 + sed -i -e \
247 + '/# define FEAT_CSCOPE/d' src/feature.h || die "couldn't disable cscope"
248 + fi
249 +
250 + # gvim's GUI preference order is as follows:
251 + # aqua CARBON (not tested)
252 + # -aqua gtk GTK3
253 + # -aqua -gtk gtk2 GTK2
254 + # -aqua -gtk -gtk motif MOTIF
255 + # -aqua -gtk -gtk -motif neXt NEXTAW
256 + # -aqua -gtk -gtk -motif -neXt ATHENA
257 + echo ; echo
258 + if use aqua; then
259 + einfo "Building gvim with the Carbon GUI"
260 + myconf+=(
261 + --enable-darwin
262 + --enable-gui=carbon
263 + )
264 + elif use gtk; then
265 + myconf+=( --enable-gtk3-check )
266 + einfo "Building gvim with the gtk+-3 GUI"
267 + myconf+=( --enable-gui=gtk3 )
268 + elif use gtk2; then
269 + myconf+=( --enable-gtk2-check )
270 + einfo "Building gvim with the gtk+-2 GUI"
271 + myconf+=( --enable-gui=gtk2 )
272 + elif use motif; then
273 + einfo "Building gvim with the MOTIF GUI"
274 + myconf+=( --enable-gui=motif )
275 + elif use neXt; then
276 + einfo "Building gvim with the neXtaw GUI"
277 + myconf+=( --enable-gui=nextaw )
278 + else
279 + einfo "Building gvim with the Athena GUI"
280 + myconf+=( --enable-gui=athena )
281 + fi
282 + echo ; echo
283 +
284 + # let package manager strip binaries
285 + export ac_cv_prog_STRIP="$(type -P true ) faking strip"
286 +
287 + # keep prefix env contained within the EPREFIX
288 + use prefix && myconf+=( --without-local-dir )
289 +
290 + if [[ ${CHOST} == *-interix* ]]; then
291 + # avoid finding of this function, to avoid having to patch either
292 + # configure or the source, which would be much more hackish.
293 + # after all vim does it right, only interix is badly broken (again)
294 + export ac_cv_func_sigaction=no
295 + fi
296 +
297 + econf \
298 + --with-modified-by=Gentoo-${PVR} \
299 + --with-vim-name=gvim \
300 + --with-x \
301 + "${myconf[@]}"
302 +}
303 +
304 +src_compile() {
305 + # The following allows emake to be used
306 + emake -j1 -C src auto/osdef.h objects
307 +
308 + emake
309 +}
310 +
311 +src_test() {
312 + einfo
313 + einfo "Starting vim tests. Several error messages will be shown"
314 + einfo "while the tests run. This is normal behaviour and does not"
315 + einfo "indicate a fault."
316 + einfo
317 + ewarn "If the tests fail, your terminal may be left in a strange"
318 + ewarn "state. Usually, running 'reset' will fix this."
319 + einfo
320 +
321 + # Don't let vim talk to X
322 + unset DISPLAY
323 +
324 + # Make gvim not try to connect to X. See :help gui-x11-start in vim for how
325 + # this evil trickery works.
326 + ln -s "${S}"/src/gvim "${S}"/src/testvim || die
327 +
328 + # Make sure our VIMPROG is used.
329 + sed -i -e 's:\.\./vim:../testvim:' src/testdir/test49.vim || die
330 +
331 + # Don't do additional GUI tests.
332 + emake -j1 VIMPROG=../testvim -C src/testdir nongui
333 +}
334 +
335 +# Call eselect vi update with --if-unset
336 +# to respect user's choice (bug 187449)
337 +eselect_vi_update() {
338 + einfo "Calling eselect vi update..."
339 + eselect vi update --if-unset
340 + eend $?
341 +}
342 +
343 +src_install() {
344 + local vimfiles=/usr/share/vim/vim${VIM_VERSION/.}
345 +
346 + dobin src/gvim
347 + dosym gvim /usr/bin/gvimdiff
348 + dosym gvim /usr/bin/evim
349 + dosym gvim /usr/bin/eview
350 + dosym gvim /usr/bin/gview
351 + dosym gvim /usr/bin/rgvim
352 + dosym gvim /usr/bin/rgview
353 +
354 + emake -C src DESTDIR="${D}" DATADIR="${EPREFIX}"/usr/share install-icons
355 +
356 + dodir /usr/share/man/man1
357 + echo ".so vim.1" > "${ED}"/usr/share/man/man1/gvim.1 || die "echo failed"
358 + echo ".so vim.1" > "${ED}"/usr/share/man/man1/gview.1 || die "echo failed"
359 + echo ".so vimdiff.1" > "${ED}"/usr/share/man/man1/gvimdiff.1 || \
360 + die "echo failed"
361 +
362 + insinto /etc/vim
363 + newins "${FILESDIR}"/gvimrc-r1 gvimrc
364 + eprefixify "${ED}"/etc/vim/gvimrc
365 +
366 + # bash completion script, bug #79018.
367 + newbashcomp "${FILESDIR}"/${PN}-completion ${PN}
368 +
369 + # don't install vim desktop file
370 + rm -v "${ED}"/usr/share/applications/vim.desktop || die "failed to remove vim.desktop"
371 +}
372 +
373 +pkg_postinst() {
374 + # Update documentation tags (from vim-doc.eclass)
375 + update_vim_helptags
376 +
377 + # Update fdo mime stuff, bug #78394
378 + xdg_desktop_database_update
379 +
380 + # Update icon cache
381 + gnome2_icon_cache_update
382 +
383 + # Call eselect vi update
384 + eselect_vi_update
385 +}
386 +
387 +pkg_postrm() {
388 + # Update documentation tags (from vim-doc.eclass)
389 + update_vim_helptags
390 +
391 + # Update fdo mime stuff, bug #78394
392 + xdg_desktop_database_update
393 +
394 + # Update icon cache
395 + gnome2_icon_cache_update
396 +
397 + # Call eselect vi update
398 + eselect_vi_update
399 +}